Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.oasis
Class BorderStyle

    java.lang.Object
      net.sf.jasperreports.engine.export.oasis.Style
          net.sf.jasperreports.engine.export.oasis.BorderStyle

Direct Known Subclasses:
  CellStyle, FrameStyle

    public abstract class BorderStyle

extends Style

Version:
  $Id: BorderStyle.java 3467 2010-02-23 13:11:13Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected static int` | `BOTTOM_BORDER`
`protected static int` | `LEFT_BORDER`
`protected static int` | `RIGHT_BORDER`
`protected static int` | `TOP_BORDER`

Fields inherited from class net.sf.jasperreports.engine.export.oasis.Style
`styleWriter`

Constructor Summary
`BorderStyle(java.io.Writer styleWriter)`

Method Summary
`java.lang.String` | `getId()`
`void` | `setBox(JRLineBox box)`
`void` | `setPen(JRPen pen)`
`protected void` | `writeBorder(int side)`

Methods inherited from class net.sf.jasperreports.engine.export.oasis.Style
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP_BORDER

    protected static final int TOP_BORDER

See Also:
  Constant Field Values

### LEFT_BORDER

    protected static final int LEFT_BORDER

See Also:
  Constant Field Values

### BOTTOM_BORDER

    protected static final int BOTTOM_BORDER

See Also:
  Constant Field Values

### RIGHT_BORDER

    protected static final int RIGHT_BORDER

See Also:
  Constant Field Values

Constructor Detail

### BorderStyle

    public BorderStyle(java.io.Writer styleWriter)

Method Detail

### setBox

    public void setBox(JRLineBox box)

### setPen

    public void setPen(JRPen pen)

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in class `Style`

### writeBorder

    protected void writeBorder(int side)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com